Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: users.list
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
デベロッパー アカウントにアクセスできるすべてのユーザーを一覧表示します。
HTTP リクエスト
GET https://androidpublisher.googleapis.com/androidpublisher/v3/{parent=developers/*}/users
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
parent |
string
必須。ユーザーの取得元となるデベロッパー アカウント。形式: developers/{developer}
|
クエリ パラメータ
| パラメータ |
pageSize |
integer
返される結果の最大件数です。ページ分割を無効にするには、-1 に設定する必要があります。
|
pageToken |
string
後続の結果を取得するために、このメソッドの前回の呼び出しから受け取ったトークン。
|
リクエスト本文
リクエストの本文は空にする必要があります。
レスポンスの本文
アカウントにアクセスできる 1 人以上のユーザーを含むレスポンス。
成功した場合、レスポンスの本文には次の構造のデータが含まれます。
| JSON 表現 |
{
"users": [
{
object (User)
}
],
"nextPageToken": string
} |
| フィールド |
users[] |
object (User)
結果のユーザー数。
|
nextPageToken |
string
後続の結果を取得するために後続の呼び出しに渡すトークン。返す結果がない場合は設定されません。
|
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/androidpublisher
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2025-07-26 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2025-07-26 UTC。"],[],["This document details the process for retrieving a list of users with access to a developer account via the Android Publisher API. The `GET` request is sent to a specific URL, including the developer account ID in the path. It uses parameters `pageSize` and `pageToken` for pagination. The request body is empty. The response contains a list of `users` and, if applicable, a `nextPageToken` for subsequent data retrieval. Authorization requires the `androidpublisher` OAuth scope.\n"]]